Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.themoviedb.org/3/credit/6024a814c0ae36003d59cc3c \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/credit/6024a814c0ae36003d59cc3c"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/credit/6024a814c0ae36003d59cc3c', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credit_type": "cast",
"department": "Acting",
"id": "6024a814c0ae36003d59cc3c",
"job": "Actor",
"media": {
"adult": false,
"backdrop_path": "/lY2DhbA7Hy44fAKddr06UrXWWaQ.jpg",
"character": "Joel Miller",
"episodes": [],
"first_air_date": "2023-01-15",
"genre_ids": [
18
],
"id": 100088,
"media_type": "tv",
"name": "The Last of Us",
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "The Last of Us",
"overview": "Twenty years after modern civilization has been destroyed, Joel, a hardened survivor, is hired to smuggle Ellie, a 14-year-old girl, out of an oppressive quarantine zone. What starts as a small job soon becomes a brutal, heartbreaking journey, as they both must traverse the United States and depend on each other for survival.",
"popularity": 143.839,
"poster_path": "/uKvVjHNqB5VmOrdxqAt2F7J78ED.jpg",
"seasons": [
{
"air_date": null,
"episode_count": 2,
"id": 405376,
"media_type": "tv_season",
"name": "Season 2",
"overview": "After five years of peace following the events of the first season, Joel and Ellie's collective past catches up to them, drawing them into conflict with each other and a world even more dangerous and unpredictable than the one they left behind.",
"poster_path": "/5J8173tQf88hm6oCAxe0AlTVzy4.jpg",
"season_number": 2,
"show_id": 100088,
"vote_average": 0
},
{
"air_date": "2023-01-15",
"episode_count": 9,
"id": 144593,
"media_type": "tv_season",
"name": "Season 1",
"overview": "After a global pandemic destroys civilization, a hardened survivor takes charge of a 14-year-old girl who may be humanity's last hope.",
"poster_path": "/pMfG5XIlmvCL9bQQiJKdTvmF2FW.jpg",
"season_number": 1,
"show_id": 100088,
"vote_average": 7.9
}
],
"vote_average": 8.6,
"vote_count": 5162
},
"media_type": "tv",
"person": {
"adult": false,
"gender": 2,
"id": 1253360,
"known_for_department": "Acting",
"media_type": "person",
"name": "Pedro Pascal",
"original_name": "Pedro Pascal",
"popularity": 102.201,
"profile_path": "/9VYK7oxcqhjd5LAH6ZFJ3XzOlID.jpg"
}
}This endpoint is used to get a movie or TV credit details by its ID.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.